port ?= 8080

junk2jive:
	@go build ./cmd/junk2jive
run:
	@go run ./cmd/junk2jive -p $(port)
test:
	@go test ./... -v
test_coverage:
	# @go test -cover ./...
	@go test -coverprofile=coverage.out ./...
	@go tool cover -func=coverage.out | grep total: | awk '{print "Total coverage: " $$3}'
clean:
	@rm ./junk2jive
